Skip to content
API reference

Properties

Units and listings (real estate).

GET/properties

List properties

Needs the permission properties:read.

ParameterInTypeNotes
limitqueryintegerat least 1. up to 500. default 50
cursorquerystringup to 512 characters
qquerystringup to 100 characters
projectIdquerystring (uuid)
unitTypeIdquerystring (uuid)
statusquerystring
propertyTypequeryone of apartment, villa, townhouse, penthouse, office, retail, plot, other
listingTypequeryone of sale, rent, lease
bedroomsMinqueryintegerat least 0. up to 50
bedroomsqueryintegerat least 0. up to 50
facingquerystringup to 40 characters
towerquerystringup to 40 characters
priceMinquerynumberat least 0
priceMaxquerynumberat least 0
areaMinquerynumberat least 0
cityquerystringup to 100 characters
localityquerystringup to 100 characters
ownerIdquerystring (uuid)
tagquerystringup to 40 characters
sortqueryone of created, updated, price, areadefault "created"
orderqueryone of asc, descdefault "desc"
curl -X GET https://crm.anibrosdesign.com/api/v1/properties \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 429

POST/properties

Create a propertie

Needs the permission properties:create.

ParameterInTypeNotes
Idempotency-KeyheaderstringAny unique string up to 128 characters. Repeating the request with the same key returns the first response. up to 128 characters
Body fieldTypeNotes
projectIdstring (uuid) or null
unitTypeIdstring (uuid) or null
title requiredstringat least 1 characters. up to 200 characters
descriptionstring or null
propertyTypeone of apartment, villa, townhouse, penthouse, office, retail, plot, other
listingTypeone of sale, rent, lease
price requirednumberat least 0. up to 10000000000000
currencystringat least 3 characters. up to 3 characters
negotiableboolean
bedroomsinteger or null
bathroomsinteger or null
areaSqftnumber or null
carpetAreaSqftnumber or null
unitNumberstring or null
towerstring or null
floorinteger or null
facingstring or null
furnishingone of unfurnished, semi_furnished, furnished or null
addressstring or null
citystring or null
localitystring or null
possessionDatestring (date) or null
reraIdstring or null
amenitieslist of stringup to 60 items
tagslist of stringup to 30 items
ownerIdstring (uuid) or null
curl -X POST https://crm.anibrosdesign.com/api/v1/properties \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"projectId":"01a15d23-0000-7000-8000-000000000000","unitTypeId":"01a15d23-0000-7000-8000-000000000000","title":"text","price":0}'

Responses: 201 400 401 402 403 429

POST/properties/bulk

Bulk (properties)

Needs the permission properties:update.

ParameterInTypeNotes
Idempotency-KeyheaderstringAny unique string up to 128 characters. Repeating the request with the same key returns the first response. up to 128 characters
Body fieldTypeNotes
ids requiredlist of string (uuid)at least 1 items. up to 300 items
set requiredobject
set.facingstring or null
set.towerstring or null
set.floorinteger or null
set.pricenumber or null
curl -X POST https://crm.anibrosdesign.com/api/v1/properties/bulk \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"ids":["01a15d23-0000-7000-8000-000000000000"],"set":{"facing":"text","tower":"text","floor":-5}}'

Responses: 200 400 401 402 403 429

GET/properties/groups

Get groups (properties)

Needs the permission properties:read.

ParameterInTypeNotes
qquerystringup to 100 characters
projectIdquerystring (uuid)
statusquerystring
propertyTypequeryone of apartment, villa, townhouse, penthouse, office, retail, plot, other
listingTypequeryone of sale, rent, lease
bedroomsMinqueryintegerat least 0. up to 50
facingquerystringup to 40 characters
sortqueryone of project, price, availabledefault "project"
curl -X GET https://crm.anibrosdesign.com/api/v1/properties/groups \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 429

GET/properties/summary

Get summary (properties)

Needs the permission properties:read.

curl -X GET https://crm.anibrosdesign.com/api/v1/properties/summary \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 403 429

GET/properties/{id}

Get a propertie

Needs the permission properties:read.

ParameterInTypeNotes
id requiredpathstring (uuid)
curl -X GET https://crm.anibrosdesign.com/api/v1/properties/{id} \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 404 429

PATCH/properties/{id}

Change a propertie

Needs the permission properties:update.

ParameterInTypeNotes
id requiredpathstring (uuid)
Body fieldTypeNotes
projectIdstring (uuid) or null
unitTypeIdstring (uuid) or null
titlestringat least 1 characters. up to 200 characters
descriptionstring or null
propertyTypeone of apartment, villa, townhouse, penthouse, office, retail, plot, other
listingTypeone of sale, rent, lease
pricenumberat least 0. up to 10000000000000
currencystringat least 3 characters. up to 3 characters
negotiableboolean
bedroomsinteger or null
bathroomsinteger or null
areaSqftnumber or null
carpetAreaSqftnumber or null
unitNumberstring or null
towerstring or null
floorinteger or null
facingstring or null
furnishingone of unfurnished, semi_furnished, furnished or null
addressstring or null
citystring or null
localitystring or null
possessionDatestring (date) or null
reraIdstring or null
amenitieslist of stringup to 60 items
tagslist of stringup to 30 items
ownerIdstring (uuid) or null
curl -X PATCH https://crm.anibrosdesign.com/api/v1/properties/{id} \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"projectId":"01a15d23-0000-7000-8000-000000000000","unitTypeId":"01a15d23-0000-7000-8000-000000000000","title":"text"}'

Responses: 200 400 401 402 403 404 412 429

DELETE/properties/{id}

Delete a propertie

Needs the permission properties:delete.

ParameterInTypeNotes
id requiredpathstring (uuid)
curl -X DELETE https://crm.anibrosdesign.com/api/v1/properties/{id} \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 204 400 401 402 403 404 429

PUT/properties/{id}/cover

Set cover (properties)

Needs the permission properties:update.

ParameterInTypeNotes
id requiredpathstring (uuid)
Body fieldTypeNotes
fileId requiredstring (uuid) or null
curl -X PUT https://crm.anibrosdesign.com/api/v1/properties/{id}/cover \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"fileId":"01a15d23-0000-7000-8000-000000000000"}'

Responses: 200 400 401 402 403 404 412 429

GET/properties/{id}/files

Get files (properties)

Needs the permission properties:read.

ParameterInTypeNotes
id requiredpathstring (uuid)
curl -X GET https://crm.anibrosdesign.com/api/v1/properties/{id}/files \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 404 429

POST/properties/{id}/files

Files (properties)

Needs the permission properties:update.

ParameterInTypeNotes
id requiredpathstring (uuid)
namequerystringup to 200 characters
curl -X POST https://crm.anibrosdesign.com/api/v1/properties/{id}/files \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 201 400 401 402 403 404 429

POST/properties/{id}/restore

Restore (properties)

Needs the permission properties:delete.

ParameterInTypeNotes
id requiredpathstring (uuid)
curl -X POST https://crm.anibrosdesign.com/api/v1/properties/{id}/restore \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 402 403 404 429

POST/properties/{id}/status

Status (properties)

Needs the permission properties:update.

ParameterInTypeNotes
id requiredpathstring (uuid)
Body fieldTypeNotes
status requiredone of available, under_offer, reserved, sold, rented, inactive
reasonstring or null
curl -X POST https://crm.anibrosdesign.com/api/v1/properties/{id}/status \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"status":"available","reason":"text"}'

Responses: 200 400 401 402 403 404 429

Something missing or unclear? Tell us.

Chat on WhatsApp